Subject: bug#8158: Definition of auto-mode-alist

From: Stefan Kangas <[email-masked]>
Date: Fri, 22 Oct 2021 17:15:45 -0700

Richard Stallman <[email-masked]> writes:

>   > > I agree, but I think Richard disagrees.
>
> What is the question that maybe I disagree about?

The full initial message was:

> A comment in files.el says:
>
>   ;; Note: The entries for the modes defined in cc-mode.el (c-mode,
>   ;; c++-mode, java-mode and more) are added through autoload
>   ;; directives in that file.  That way is discouraged since it
>   ;; spreads out the definition of the initial value.
>
> Isn't this a bit unmodular as Emacs continues to grow, and given loaddefs.el?
>
> If the maintainers agree, then the last sentence should be changed to
> encourage the removal of the initial values back into the relevant
> mode files.

What I propose is to make no concrete change besides removing that
comment.  This avoids people rushing off to change everything around,
which is probably not what we want at this point, but also doesn't very
strongly discourage a more modular design.  If any problems crop up, we
can address them with specific fixes.